Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jinfonet.jdbc.obj
Class TableFilterImpl

    java.lang.Object
      com.jinfonet.jdbc.obj.TableFilterImpl

All Implemented Interfaces:
  com.jinfonet.interfaces.query.TableFilter

    public abstract class TableFilterImpl

extends java.lang.Object
implements com.jinfonet.interfaces.query.TableFilter

Constructor Summary
`TableFilterImpl()`

Method Summary
`boolean` | `setAllColumns(java.lang.String[] columns)` Sets all column names of the table.
`boolean` | `setSelectedColumn(java.lang.String[] selectedColumn)` Pushes down the selected column based on the table.
`boolean` | `setSimpleTableWhere(com.jinfonet.interfaces.query.SimpleTableWhere[] sqlWhere)` Pushes down the Where condition based on the table.
`boolean` | `setSortByColumn(java.lang.String sortByColumn)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableFilterImpl

    public TableFilterImpl()

Method Detail

### setSimpleTableWhere

    public boolean setSimpleTableWhere(com.jinfonet.interfaces.query.SimpleTableWhere[] sqlWhere)

  Pushes down the Where condition based on the table. The inputed conditions will be connected with each other by "AND" operator.

  Specified by:
    `setSimpleTableWhere` in interface `com.jinfonet.interfaces.query.TableFilter`

### setSelectedColumn

    public boolean setSelectedColumn(java.lang.String[] selectedColumn)

  Pushes down the selected column based on the table.

  Specified by:
    `setSelectedColumn` in interface `com.jinfonet.interfaces.query.TableFilter`

### setSortByColumn

    public boolean setSortByColumn(java.lang.String sortByColumn)

  Specified by:
    `setSortByColumn` in interface `com.jinfonet.interfaces.query.TableFilter`

### setAllColumns

    public boolean setAllColumns(java.lang.String[] columns)

  Sets all column names of the table.

  Specified by:
    `setAllColumns` in interface `com.jinfonet.interfaces.query.TableFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD